jQuery環境で画像ポップアップ(lightbox)はどれを使えば良いか | 15g.jp

Pocket

素直にlightbox2がオススメです。jQuery1.11系で動きます。
fancybox…最新jQueryで動かない。具体的には1.6以下で動きます。しかしjQueryのバージョンを下げることに寄る弊害のほうが大きいため、避けたほうが無難でしょう。
bumpboxは様々なファイル形式に対応していてとても便利なのですが、prototype.jsを使用します。jQueryと競合するので避けたほうが良いです。
他にも色々とありますが、主に上記二点(jQueryの旧バージョンでないと動かない・prototype.jsを使用する)に注意して選んで下さい。